Download OpenAPI specification:Download
Our RESTful API lets you interact with the DPMS using JSON over HTTPS.
We're continually working hard on making more features available through the API.
You can obtain a single user <token> inside the profile area of the user.
The API is accessed via https://app.dpms-online.de/api/ and speaks JSON over HTTPS.
For white label or server versions, the login URL of the instance must be used accordingly:
https://example.com/api/
You need to specifiy the version you are using after the URL before the endpoint:
https://app.dpms-online.de/api/v1/me
The current major version is v1.
2021-07-182021-03-13T12:26:40+01:00We're trying to keep our URLs as RESTful as possible. This means that every resource endpoint may support one or more of the following HTTP methods:
The API uses standard HTTP status codes to indicate that a request has gone wrong.
Additionally, the body of the response always contains a error (JSON) describing the issue in more detail.
400 Bad RequestHTTP Status 400 is returned when:
You send invalid JSON, that does not conform to the schema for the endpoint. "Content-type" header should be passed with "application/json" value. Business rules prevent the operation you are attempting.
403 ForbiddenHTTP Status 403 is returned when:
Authorization: Bearer <token>404 Not Found429 Rate limit exceededYou will get this error when you make many request too fast against the API. The limit for each IP address is 2 requests per second.
500 Internal Server ErrorAll endpoints can also return HTTP Status 500 (Internal server error) if there is a problem on the server.
get list of contract templates for the company
| companyId required | integer <int64> >= 1 The ID of the company |
[- {
- "templateId": 1,
- "title": "AV-Vertrag",
- "desc": "Beschreibung",
- "lang": "DE",
- "addDocumentation": true,
- "addToms": true,
- "addOrderProcessingDoc": true,
- "senderPosition": "Inhaber",
- "senderFirstname": "Peter",
- "senderLastname": "Mustermann",
- "lastChange": "2021-03-13T12:26:40+01:00",
- "created": "2021-03-13T12:26:40+01:00"
}
]get list of contracts for the company
| companyId required | integer <int64> >= 1 The ID of the company |
[- {
- "templateId": 1,
- "title": "Auftragsverarbeitungsvertrag",
- "validUntil": "2021-03-13T12:26:40+01:00",
- "isOrderProcessingContract": true,
- "emailReceiver": "test@example.com",
- "emailSubject": "Betreff",
- "emailSalutation": "Hallo %vorname% %nachname%,",
- "emailBody": "Testraße 1337\n47608 Geldern\n",
- "signatureReceiver": "Mustermann GmbH",
- "signatureAddress": "Teststraße 1337\n47608 Geldern\n",
- "signaturePosition": "Geschäftsführer",
- "signatureFirstname": "Peter",
- "signatureLastname": "Mustermann",
- "contractId": 1,
- "clientId": 1,
- "lastChange": "2021-03-13T12:26:40+01:00",
- "created": "2021-03-13T12:26:40+01:00",
- "emailTime": "2021-03-13T12:26:40+01:00",
- "signatureTime": "2021-03-13T12:26:40+01:00"
}
]get contract for the given id
| contractId required | integer <int64> >= 1 The ID of the contract |
| companyId required | integer <int64> >= 1 The ID of the company |
{- "templateId": 1,
- "title": "Auftragsverarbeitungsvertrag",
- "validUntil": "2021-03-13T12:26:40+01:00",
- "isOrderProcessingContract": true,
- "emailReceiver": "test@example.com",
- "emailSubject": "Betreff",
- "emailSalutation": "Hallo %vorname% %nachname%,",
- "emailBody": "Testraße 1337\n47608 Geldern\n",
- "signatureReceiver": "Mustermann GmbH",
- "signatureAddress": "Teststraße 1337\n47608 Geldern\n",
- "signaturePosition": "Geschäftsführer",
- "signatureFirstname": "Peter",
- "signatureLastname": "Mustermann",
- "contractId": 1,
- "clientId": 1,
- "lastChange": "2021-03-13T12:26:40+01:00",
- "created": "2021-03-13T12:26:40+01:00",
- "emailTime": "2021-03-13T12:26:40+01:00",
- "signatureTime": "2021-03-13T12:26:40+01:00"
}updates contract
| contractId required | integer <int64> >= 1 The ID of the contract |
| companyId required | integer <int64> >= 1 The ID of the company |
| emailReceiver | string |
| emailSubject | string |
| emailSalutation | string |
| emailBody | string |
| title | string |
| validUntil | string |
| signatureReceiver | string |
| signatureAddress | string |
| signaturePosition | string |
| signatureFirstname | string |
| signatureLastname | string |
{- "emailReceiver": "test@example.com",
- "emailSubject": "Betreff",
- "emailSalutation": "Hallo %vorname% %nachname%,",
- "emailBody": "Testraße 1337\n47608 Geldern\n",
- "title": "Auftragsverarbeitungsvertrag",
- "validUntil": "2021-03-13T12:26:40+01:00",
- "signatureReceiver": "Mustermann GmbH",
- "signatureAddress": "Teststraße 1337\n47608 Geldern\n",
- "signaturePosition": "Geschäftsführer",
- "signatureFirstname": "Peter",
- "signatureLastname": "Mustermann"
}{- "templateId": 1,
- "title": "Auftragsverarbeitungsvertrag",
- "validUntil": "2021-03-13T12:26:40+01:00",
- "isOrderProcessingContract": true,
- "emailReceiver": "test@example.com",
- "emailSubject": "Betreff",
- "emailSalutation": "Hallo %vorname% %nachname%,",
- "emailBody": "Testraße 1337\n47608 Geldern\n",
- "signatureReceiver": "Mustermann GmbH",
- "signatureAddress": "Teststraße 1337\n47608 Geldern\n",
- "signaturePosition": "Geschäftsführer",
- "signatureFirstname": "Peter",
- "signatureLastname": "Mustermann",
- "contractId": 1,
- "clientId": 1,
- "lastChange": "2021-03-13T12:26:40+01:00",
- "created": "2021-03-13T12:26:40+01:00",
- "emailTime": "2021-03-13T12:26:40+01:00",
- "signatureTime": "2021-03-13T12:26:40+01:00"
}send the contract by email to the receiver
| contractId required | integer <int64> >= 1 The ID of the contract |
| companyId required | integer <int64> >= 1 The ID of the company |
| emailReceiver | string |
| emailSubject | string |
| emailSalutation | string |
| emailBody | string |
{- "emailReceiver": "test@example.com",
- "emailSubject": "Betreff",
- "emailSalutation": "Hallo %vorname% %nachname%,",
- "emailBody": "Testraße 1337\n47608 Geldern\n"
}{- "templateId": 1,
- "title": "Auftragsverarbeitungsvertrag",
- "validUntil": "2021-03-13T12:26:40+01:00",
- "isOrderProcessingContract": true,
- "emailReceiver": "test@example.com",
- "emailSubject": "Betreff",
- "emailSalutation": "Hallo %vorname% %nachname%,",
- "emailBody": "Testraße 1337\n47608 Geldern\n",
- "signatureReceiver": "Mustermann GmbH",
- "signatureAddress": "Teststraße 1337\n47608 Geldern\n",
- "signaturePosition": "Geschäftsführer",
- "signatureFirstname": "Peter",
- "signatureLastname": "Mustermann",
- "contractId": 1,
- "clientId": 1,
- "lastChange": "2021-03-13T12:26:40+01:00",
- "created": "2021-03-13T12:26:40+01:00",
- "emailTime": "2021-03-13T12:26:40+01:00",
- "signatureTime": "2021-03-13T12:26:40+01:00"
}get list of existing clients
| companyId required | integer <int64> >= 1 The ID of the consultant company |
[- {
- "companyId": 1,
- "name": "ACME Company",
- "categoryId": 1,
- "groupId": 1,
- "rubricId": 1,
- "email": "test@test.de",
- "customerNumber": "4228",
- "aliasName": "Mandanten Organisation",
- "infoText": "Beschreibung eines Beispiel Mandanten",
- "disableAutoUpdate": false,
- "disableMessageCenter": false,
- "disableWeeklyUpdate": false,
- "disableTaskInfo": false,
- "disableCompanyEmailLayout": false,
- "disableMessagesForConsultantUser": false,
- "useConsultantLayoutForTrainingPage": false,
- "useConsultantLogoForTrainingCerts": false,
- "restrictNewUserPermissions": false,
- "newUserDefaultLevelId": 6,
- "enableWatermark": false
}
]creates new client, company and adds users to it
| companyId required | integer <int64> >= 1 The ID of the consultant company |
| name required | string |
| categoryId | integer |
| groupId | integer |
| rubricId | integer |
string | |
| customerNumber | string |
| aliasName | string |
| infoText | string |
| disableAutoUpdate | boolean |
| disableMessageCenter | boolean |
| disableWeeklyUpdate | boolean |
| disableTaskInfo | boolean |
| disableCompanyEmailLayout | boolean |
| disableMessagesForConsultantUser | boolean |
| useConsultantLayoutForTrainingPage | boolean |
| useConsultantLogoForTrainingCerts | boolean |
| restrictNewUserPermissions | boolean |
| newUserDefaultLevelId | integer find available levels via GET /levels |
| enableWatermark | boolean |
Array of objects (BaseUserCompanyItem) |
{- "name": "ACME Company",
- "categoryId": 1,
- "groupId": 1,
- "rubricId": 1,
- "email": "test@test.de",
- "customerNumber": "4228",
- "aliasName": "Mandanten Organisation",
- "infoText": "Beschreibung eines Beispiel Mandanten",
- "disableAutoUpdate": false,
- "disableMessageCenter": false,
- "disableWeeklyUpdate": false,
- "disableTaskInfo": false,
- "disableCompanyEmailLayout": false,
- "disableMessagesForConsultantUser": false,
- "useConsultantLayoutForTrainingPage": false,
- "useConsultantLogoForTrainingCerts": false,
- "restrictNewUserPermissions": false,
- "newUserDefaultLevelId": 6,
- "enableWatermark": false,
- "users": [
- {
- "username": "api@example.com",
- "level": "ADMIN",
- "levelId": 1
}
]
}{- "companyId": 1,
- "name": "ACME Company",
- "categoryId": 1,
- "groupId": 1,
- "rubricId": 1,
- "email": "test@test.de",
- "customerNumber": "4228",
- "aliasName": "Mandanten Organisation",
- "infoText": "Beschreibung eines Beispiel Mandanten",
- "disableAutoUpdate": false,
- "disableMessageCenter": false,
- "disableWeeklyUpdate": false,
- "disableTaskInfo": false,
- "disableCompanyEmailLayout": false,
- "disableMessagesForConsultantUser": false,
- "useConsultantLayoutForTrainingPage": false,
- "useConsultantLogoForTrainingCerts": false,
- "restrictNewUserPermissions": false,
- "newUserDefaultLevelId": 6,
- "enableWatermark": false
}get one existing client
| clientId required | integer <int64> >= 1 The ID of the client to return. |
| companyId required | integer <int64> >= 1 The ID of the consultant company |
{- "companyId": 1,
- "name": "ACME Company",
- "categoryId": 1,
- "groupId": 1,
- "rubricId": 1,
- "email": "test@test.de",
- "customerNumber": "4228",
- "aliasName": "Mandanten Organisation",
- "infoText": "Beschreibung eines Beispiel Mandanten",
- "disableAutoUpdate": false,
- "disableMessageCenter": false,
- "disableWeeklyUpdate": false,
- "disableTaskInfo": false,
- "disableCompanyEmailLayout": false,
- "disableMessagesForConsultantUser": false,
- "useConsultantLayoutForTrainingPage": false,
- "useConsultantLogoForTrainingCerts": false,
- "restrictNewUserPermissions": false,
- "newUserDefaultLevelId": 6,
- "enableWatermark": false
}delete an existing client
| clientId required | integer <int64> >= 1 The ID of the client to delete. |
| companyId required | integer <int64> >= 1 The ID of the consultant company |
| verify required | string The name of the client you want to delete. Has to match the existing name of the given ID. |
{- "verify": "Mandant GmbH"
}{- "success": true
}get a list of all journal entries for a client. The list can be filtered to only include journals before and after specified dates.
| clientId required | integer <int64> >= 1 The ID of the client |
| companyId required | integer <int64> >= 1 The ID of the consultant company |
| journalFrom | string <date> Example: journalFrom=2020-04-16 Only show journals after this date |
| journalTo | string <date> Example: journalTo=2024-04-16 Only show journals before this date |
[- {
- "userId": 2,
- "date": "2024-03-07T00:00:00+01:00",
- "desc": "Beschreibung des Eintrags",
- "note": "Notiz zum Eintrag",
- "additionalText": "Ergänzende Informationen",
- "duration": 30,
- "showInReport": true,
- "journalId": 68,
- "clientId": 216,
- "created": "2024-04-22T14:20:56+02:00",
- "lastChange": "2024-04-22T14:20:56+02:00"
}
]creates a journal entry for a client. If the userId isn't given the api user is used.
| clientId required | integer <int64> >= 1 The ID of the client |
| companyId required | integer <int64> >= 1 The ID of the consultant company |
| userId | integer |
| date | string |
| desc | string |
| note | string |
| additionalText | string |
| duration | integer time taken in minutes |
| showInReport | boolean |
{- "userId": 2,
- "date": "2024-03-07T00:00:00+01:00",
- "desc": "Beschreibung des Eintrags",
- "note": "Notiz zum Eintrag",
- "additionalText": "Ergänzende Informationen",
- "duration": 30,
- "showInReport": true
}{- "userId": 2,
- "date": "2024-03-07T00:00:00+01:00",
- "desc": "Beschreibung des Eintrags",
- "note": "Notiz zum Eintrag",
- "additionalText": "Ergänzende Informationen",
- "duration": 30,
- "showInReport": true,
- "journalId": 68,
- "clientId": 216,
- "created": "2024-04-22T14:20:56+02:00",
- "lastChange": "2024-04-22T14:20:56+02:00"
}get one journal entry for a client
| clientId required | integer <int64> >= 1 The ID of the client |
| journalId required | integer <int64> >= 1 The ID of the journal entry |
| companyId required | integer <int64> >= 1 The ID of the consultant company |
{- "userId": 2,
- "date": "2024-03-07T00:00:00+01:00",
- "desc": "Beschreibung des Eintrags",
- "note": "Notiz zum Eintrag",
- "additionalText": "Ergänzende Informationen",
- "duration": 30,
- "showInReport": true,
- "journalId": 68,
- "clientId": 216,
- "created": "2024-04-22T14:20:56+02:00",
- "lastChange": "2024-04-22T14:20:56+02:00"
}update a journal entry. If the userId isn't given the api user is used.
| clientId required | integer <int64> >= 1 The ID of the client |
| journalId required | integer <int64> >= 1 The ID of the journal entry |
| companyId required | integer <int64> >= 1 The ID of the consultant company |
| userId | integer |
| date | string |
| desc | string |
| note | string |
| additionalText | string |
| duration | integer time taken in minutes |
| showInReport | boolean |
{- "userId": 2,
- "date": "2024-03-07T00:00:00+01:00",
- "desc": "Beschreibung des Eintrags",
- "note": "Notiz zum Eintrag",
- "additionalText": "Ergänzende Informationen",
- "duration": 30,
- "showInReport": true
}{- "userId": 2,
- "date": "2024-03-07T00:00:00+01:00",
- "desc": "Beschreibung des Eintrags",
- "note": "Notiz zum Eintrag",
- "additionalText": "Ergänzende Informationen",
- "duration": 30,
- "showInReport": true,
- "journalId": 68,
- "clientId": 216,
- "created": "2024-04-22T14:20:56+02:00",
- "lastChange": "2024-04-22T14:20:56+02:00"
}delete a journal entry
| clientId required | integer <int64> >= 1 The ID of the client |
| journalId required | integer <int64> >= 1 The ID of the journal entry |
| companyId required | integer <int64> >= 1 The ID of the consultant company |
{- "success": true
}creates new default TOA
| companyId required | integer <int64> >= 1 The ID of the consultant company |
| categoryId required | integer must be defined in the system, can be found in GET /toa/categories |
| name required | string |
| desc | string |
{- "categoryId": 2,
- "name": "Notfallkonzept",
- "desc": "Notfallkonzept"
}{- "toaId": 1,
- "categoryId": 2,
- "name": "Notfallkonzept",
- "desc": "Notfallkonzept"
}update a default TOA
| toaId required | integer <int64> >= 1 The ID of the default TOA |
| companyId required | integer <int64> >= 1 The ID of the consultant company |
| categoryId required | integer must be defined in the system, can be found in GET /toa/categories |
| name required | string |
| desc | string |
{- "categoryId": 2,
- "name": "Notfallkonzept",
- "desc": "Notfallkonzept"
}{- "toaId": 1,
- "categoryId": 2,
- "name": "Notfallkonzept",
- "desc": "Notfallkonzept"
}delete a default TOA
| toaId required | integer <int64> >= 1 The ID of the default TOA |
| companyId required | integer <int64> >= 1 The ID of the consultant company |
{- "success": true
}get a list of company TOAs
| companyId required | integer <int64> >= 1 The ID of the company |
[- {
- "toaId": 1,
- "companyId": 2,
- "status": "active",
- "name": "Notfallkonzept",
- "description": "Notfallkonzept",
- "remark": "Notfallkonzept"
}
]get a company TOA
| toaId required | integer <int64> >= 1 The ID of the default TOA |
| companyId required | integer <int64> >= 1 The ID of the company |
{- "toaId": 1,
- "companyId": 2,
- "status": "active",
- "name": "Notfallkonzept",
- "description": "Notfallkonzept",
- "remark": "Notfallkonzept"
}update a company TOA
| toaId required | integer <int64> >= 1 The ID of the default TOA |
| companyId required | integer <int64> >= 1 The ID of the company |
| status required | string Enum: "active" "draft" "inactive" |
| name | string if emtpy the name value of the default TOA will be used |
| description | string if emtpy the desc value of the default TOA will be used |
| remark | string |
{- "status": "active",
- "name": "Notfallkonzept",
- "description": "Notfallkonzept",
- "remark": "Notfallkonzept"
}{- "toaId": 1,
- "companyId": 2,
- "status": "active",
- "name": "Notfallkonzept",
- "description": "Notfallkonzept",
- "remark": "Notfallkonzept"
}get list of clients for the company
| companyId required | integer <int64> >= 1 The ID of the company to return. |
[- {
- "name": "Kunde XYZ",
- "clientStatus": "Aktiv",
- "desc": "Beschreibung des Kundens",
- "country": "DE",
- "address": "Testraße 1337\n47608 Geldern\n",
- "email": "test@example.com",
- "reference": "C.05",
- "phone": 123456789,
- "fax": 123456789,
- "orderProcessingContractSigned": true,
- "clientId": 1,
- "lastChange": "2021-03-13T12:26:40+01:00",
- "created": "2021-03-13T12:26:40+01:00",
- "indexes": [
- {
- "deletionDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletePeriod": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "retentionLegalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletionInformation": "string",
- "deletionControl": {
- "example": "example"
}, - "deletionType": {
- "example": "example"
}, - "deletionProtocol": {
- "example": "example"
}, - "responsibleDeletetionDeparment": {
- "example": "example"
}, - "deletionTOM": "string",
- "deletionSoftwareIds": [
- 0
], - "name": "Web-Hosting",
- "desc": "Web-Hosting",
- "type": {
- "example": "example"
}, - "indexStatus": {
- "example": "example"
}, - "dataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "specialDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}
}, - "dataSubjects": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "source": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "goal": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "goalDesc": "Ausstellung einer schriftlichen Abmahnung zur Zurechtweisung der Mitarbeiter.",
- "systemDesc": "Abmahnung wird schriftlich in Word geschrieben und im Personalorder in Microsoft OneDrive abgespeichert.",
- "legalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "legalInfo": "string",
- "legitimateInterests": "string",
- "consequencesForNotProviding": "string",
- "receiverIntern": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}
}, - "responsibleReceiverIntern": {
- "example": "example"
}, - "receiverExternal": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "impactAssessmentNeeded": true,
- "impactAssessmentNeededText": "string",
- "extraSecurity": "string",
- "informedAffected": "string",
- "isProfiling": true,
- "profilingInformation": "string",
- "isOrderProcessing": true,
- "isJointControllership": true,
- "subcontractors": [
- {
- "subcontractorId": 0,
- "subcontractors": {
- "displayTitle": "string"
}, - "isOrderProcessor": true,
- "orderProcessorInfo": "string",
- "isJointController": true,
- "jointControllerInfo": "string"
}
], - "softwares": [
- {
- "softwareId": 0,
- "software": {
- "displayTitle": "string"
}
}
], - "devices": [
- {
- "deviceId": 0,
- "device": {
- "displayTitle": "string"
}
}
], - "additionalDeletions": [
- {
- "deletionDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletePeriod": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "retentionLegalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletionInformation": "string",
- "deletionControl": {
- "example": "example"
}, - "deletionType": {
- "example": "example"
}, - "deletionProtocol": {
- "example": "example"
}, - "responsibleDeletetionDeparment": {
- "example": "example"
}, - "deletionTOM": "string",
- "deletionSoftwareIds": [
- 0
], - "deletionId": 0
}
], - "indexId": 1,
- "group": "IT-Infrastruktur",
- "created": "2024-04-10T10:58:00+02:00",
- "lastChange": "2024-04-10T10:58:00+02:00"
}
], - "contracts": [
- {
- "contractId": 1,
- "isOrderProcessingContract": false
}
]
}
]creates new client
| companyId required | integer <int64> >= 1 The ID of the company to return. |
| name required | string |
| clientStatus | string must be definied in the system, can be found in GET /client/defaults |
| desc | string |
| country | string |
| address | string |
string | |
| homepage | string |
| reference | string |
| phone | string |
| fax | string |
| orderProcessingContractSigned | boolean |
{- "name": "Kunde XYZ",
- "clientStatus": "Aktiv",
- "desc": "Beschreibung des Kundens",
- "country": "DE",
- "address": "Testraße 1337\n47608 Geldern\n",
- "email": "test@example.com",
- "reference": "C.05",
- "phone": 123456789,
- "fax": 123456789,
- "orderProcessingContractSigned": true
}{- "name": "Kunde XYZ",
- "clientStatus": "Aktiv",
- "desc": "Beschreibung des Kundens",
- "country": "DE",
- "address": "Testraße 1337\n47608 Geldern\n",
- "email": "test@example.com",
- "reference": "C.05",
- "phone": 123456789,
- "fax": 123456789,
- "orderProcessingContractSigned": true,
- "clientId": 1,
- "lastChange": "2021-03-13T12:26:40+01:00",
- "created": "2021-03-13T12:26:40+01:00",
- "indexes": [
- {
- "deletionDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletePeriod": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "retentionLegalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletionInformation": "string",
- "deletionControl": {
- "example": "example"
}, - "deletionType": {
- "example": "example"
}, - "deletionProtocol": {
- "example": "example"
}, - "responsibleDeletetionDeparment": {
- "example": "example"
}, - "deletionTOM": "string",
- "deletionSoftwareIds": [
- 0
], - "name": "Web-Hosting",
- "desc": "Web-Hosting",
- "type": {
- "example": "example"
}, - "indexStatus": {
- "example": "example"
}, - "dataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "specialDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}
}, - "dataSubjects": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "source": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "goal": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "goalDesc": "Ausstellung einer schriftlichen Abmahnung zur Zurechtweisung der Mitarbeiter.",
- "systemDesc": "Abmahnung wird schriftlich in Word geschrieben und im Personalorder in Microsoft OneDrive abgespeichert.",
- "legalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "legalInfo": "string",
- "legitimateInterests": "string",
- "consequencesForNotProviding": "string",
- "receiverIntern": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}
}, - "responsibleReceiverIntern": {
- "example": "example"
}, - "receiverExternal": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "impactAssessmentNeeded": true,
- "impactAssessmentNeededText": "string",
- "extraSecurity": "string",
- "informedAffected": "string",
- "isProfiling": true,
- "profilingInformation": "string",
- "isOrderProcessing": true,
- "isJointControllership": true,
- "subcontractors": [
- {
- "subcontractorId": 0,
- "subcontractors": {
- "displayTitle": "string"
}, - "isOrderProcessor": true,
- "orderProcessorInfo": "string",
- "isJointController": true,
- "jointControllerInfo": "string"
}
], - "softwares": [
- {
- "softwareId": 0,
- "software": {
- "displayTitle": "string"
}
}
], - "devices": [
- {
- "deviceId": 0,
- "device": {
- "displayTitle": "string"
}
}
], - "additionalDeletions": [
- {
- "deletionDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletePeriod": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "retentionLegalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletionInformation": "string",
- "deletionControl": {
- "example": "example"
}, - "deletionType": {
- "example": "example"
}, - "deletionProtocol": {
- "example": "example"
}, - "responsibleDeletetionDeparment": {
- "example": "example"
}, - "deletionTOM": "string",
- "deletionSoftwareIds": [
- 0
], - "deletionId": 0
}
], - "indexId": 1,
- "group": "IT-Infrastruktur",
- "created": "2024-04-10T10:58:00+02:00",
- "lastChange": "2024-04-10T10:58:00+02:00"
}
], - "contracts": [
- {
- "contractId": 1,
- "isOrderProcessingContract": false
}
]
}get list of client defaults for status
| companyId required | integer <int64> >= 1 The ID of the company to return. |
{- "types": [
- {
- "key": "value"
}
], - "status": [
- {
- "key": "value"
}
], - "affectedGroups": [
- {
- "key": "value"
}
]
}get client for the given id
| clientId required | integer <int64> >= 1 The ID of the client to return. |
| companyId required | integer <int64> >= 1 The ID of the company |
{- "name": "Kunde XYZ",
- "clientStatus": "Aktiv",
- "desc": "Beschreibung des Kundens",
- "country": "DE",
- "address": "Testraße 1337\n47608 Geldern\n",
- "email": "test@example.com",
- "reference": "C.05",
- "phone": 123456789,
- "fax": 123456789,
- "orderProcessingContractSigned": true,
- "clientId": 1,
- "lastChange": "2021-03-13T12:26:40+01:00",
- "created": "2021-03-13T12:26:40+01:00",
- "indexes": [
- {
- "deletionDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletePeriod": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "retentionLegalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletionInformation": "string",
- "deletionControl": {
- "example": "example"
}, - "deletionType": {
- "example": "example"
}, - "deletionProtocol": {
- "example": "example"
}, - "responsibleDeletetionDeparment": {
- "example": "example"
}, - "deletionTOM": "string",
- "deletionSoftwareIds": [
- 0
], - "name": "Web-Hosting",
- "desc": "Web-Hosting",
- "type": {
- "example": "example"
}, - "indexStatus": {
- "example": "example"
}, - "dataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "specialDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}
}, - "dataSubjects": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "source": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "goal": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "goalDesc": "Ausstellung einer schriftlichen Abmahnung zur Zurechtweisung der Mitarbeiter.",
- "systemDesc": "Abmahnung wird schriftlich in Word geschrieben und im Personalorder in Microsoft OneDrive abgespeichert.",
- "legalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "legalInfo": "string",
- "legitimateInterests": "string",
- "consequencesForNotProviding": "string",
- "receiverIntern": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}
}, - "responsibleReceiverIntern": {
- "example": "example"
}, - "receiverExternal": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "impactAssessmentNeeded": true,
- "impactAssessmentNeededText": "string",
- "extraSecurity": "string",
- "informedAffected": "string",
- "isProfiling": true,
- "profilingInformation": "string",
- "isOrderProcessing": true,
- "isJointControllership": true,
- "subcontractors": [
- {
- "subcontractorId": 0,
- "subcontractors": {
- "displayTitle": "string"
}, - "isOrderProcessor": true,
- "orderProcessorInfo": "string",
- "isJointController": true,
- "jointControllerInfo": "string"
}
], - "softwares": [
- {
- "softwareId": 0,
- "software": {
- "displayTitle": "string"
}
}
], - "devices": [
- {
- "deviceId": 0,
- "device": {
- "displayTitle": "string"
}
}
], - "additionalDeletions": [
- {
- "deletionDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletePeriod": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "retentionLegalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletionInformation": "string",
- "deletionControl": {
- "example": "example"
}, - "deletionType": {
- "example": "example"
}, - "deletionProtocol": {
- "example": "example"
}, - "responsibleDeletetionDeparment": {
- "example": "example"
}, - "deletionTOM": "string",
- "deletionSoftwareIds": [
- 0
], - "deletionId": 0
}
], - "indexId": 1,
- "group": "IT-Infrastruktur",
- "created": "2024-04-10T10:58:00+02:00",
- "lastChange": "2024-04-10T10:58:00+02:00"
}
], - "contracts": [
- {
- "contractId": 1,
- "isOrderProcessingContract": false
}
]
}updates new client
| clientId required | integer <int64> >= 1 The ID of the client to return. |
| companyId required | integer <int64> >= 1 The ID of the company |
| name required | string |
| clientStatus | string must be definied in the system, can be found in GET /client/defaults |
| desc | string |
| country | string |
| address | string |
string | |
| homepage | string |
| reference | string |
| phone | string |
| fax | string |
| orderProcessingContractSigned | boolean |
{- "name": "Kunde XYZ",
- "clientStatus": "Aktiv",
- "desc": "Beschreibung des Kundens",
- "country": "DE",
- "address": "Testraße 1337\n47608 Geldern\n",
- "email": "test@example.com",
- "reference": "C.05",
- "phone": 123456789,
- "fax": 123456789,
- "orderProcessingContractSigned": true
}{- "name": "Kunde XYZ",
- "clientStatus": "Aktiv",
- "desc": "Beschreibung des Kundens",
- "country": "DE",
- "address": "Testraße 1337\n47608 Geldern\n",
- "email": "test@example.com",
- "reference": "C.05",
- "phone": 123456789,
- "fax": 123456789,
- "orderProcessingContractSigned": true,
- "clientId": 1,
- "lastChange": "2021-03-13T12:26:40+01:00",
- "created": "2021-03-13T12:26:40+01:00",
- "indexes": [
- {
- "deletionDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletePeriod": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "retentionLegalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletionInformation": "string",
- "deletionControl": {
- "example": "example"
}, - "deletionType": {
- "example": "example"
}, - "deletionProtocol": {
- "example": "example"
}, - "responsibleDeletetionDeparment": {
- "example": "example"
}, - "deletionTOM": "string",
- "deletionSoftwareIds": [
- 0
], - "name": "Web-Hosting",
- "desc": "Web-Hosting",
- "type": {
- "example": "example"
}, - "indexStatus": {
- "example": "example"
}, - "dataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "specialDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}
}, - "dataSubjects": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "source": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "goal": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "goalDesc": "Ausstellung einer schriftlichen Abmahnung zur Zurechtweisung der Mitarbeiter.",
- "systemDesc": "Abmahnung wird schriftlich in Word geschrieben und im Personalorder in Microsoft OneDrive abgespeichert.",
- "legalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "legalInfo": "string",
- "legitimateInterests": "string",
- "consequencesForNotProviding": "string",
- "receiverIntern": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}
}, - "responsibleReceiverIntern": {
- "example": "example"
}, - "receiverExternal": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "impactAssessmentNeeded": true,
- "impactAssessmentNeededText": "string",
- "extraSecurity": "string",
- "informedAffected": "string",
- "isProfiling": true,
- "profilingInformation": "string",
- "isOrderProcessing": true,
- "isJointControllership": true,
- "subcontractors": [
- {
- "subcontractorId": 0,
- "subcontractors": {
- "displayTitle": "string"
}, - "isOrderProcessor": true,
- "orderProcessorInfo": "string",
- "isJointController": true,
- "jointControllerInfo": "string"
}
], - "softwares": [
- {
- "softwareId": 0,
- "software": {
- "displayTitle": "string"
}
}
], - "devices": [
- {
- "deviceId": 0,
- "device": {
- "displayTitle": "string"
}
}
], - "additionalDeletions": [
- {
- "deletionDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletePeriod": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "retentionLegalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletionInformation": "string",
- "deletionControl": {
- "example": "example"
}, - "deletionType": {
- "example": "example"
}, - "deletionProtocol": {
- "example": "example"
}, - "responsibleDeletetionDeparment": {
- "example": "example"
}, - "deletionTOM": "string",
- "deletionSoftwareIds": [
- 0
], - "deletionId": 0
}
], - "indexId": 1,
- "group": "IT-Infrastruktur",
- "created": "2024-04-10T10:58:00+02:00",
- "lastChange": "2024-04-10T10:58:00+02:00"
}
], - "contracts": [
- {
- "contractId": 1,
- "isOrderProcessingContract": false
}
]
}adds index to client.
| clientId required | integer <int64> >= 1 The ID of the client to return. |
| companyId required | integer <int64> >= 1 The ID of the company |
| indexId required | integer Has to exist as an index for the company. Find indexes via GET /index |
{- "indexId": 9830
}{- "name": "Kunde XYZ",
- "clientStatus": "Aktiv",
- "desc": "Beschreibung des Kundens",
- "country": "DE",
- "address": "Testraße 1337\n47608 Geldern\n",
- "email": "test@example.com",
- "reference": "C.05",
- "phone": 123456789,
- "fax": 123456789,
- "orderProcessingContractSigned": true,
- "clientId": 1,
- "lastChange": "2021-03-13T12:26:40+01:00",
- "created": "2021-03-13T12:26:40+01:00",
- "indexes": [
- {
- "deletionDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletePeriod": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "retentionLegalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletionInformation": "string",
- "deletionControl": {
- "example": "example"
}, - "deletionType": {
- "example": "example"
}, - "deletionProtocol": {
- "example": "example"
}, - "responsibleDeletetionDeparment": {
- "example": "example"
}, - "deletionTOM": "string",
- "deletionSoftwareIds": [
- 0
], - "name": "Web-Hosting",
- "desc": "Web-Hosting",
- "type": {
- "example": "example"
}, - "indexStatus": {
- "example": "example"
}, - "dataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "specialDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}
}, - "dataSubjects": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "source": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "goal": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "goalDesc": "Ausstellung einer schriftlichen Abmahnung zur Zurechtweisung der Mitarbeiter.",
- "systemDesc": "Abmahnung wird schriftlich in Word geschrieben und im Personalorder in Microsoft OneDrive abgespeichert.",
- "legalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "legalInfo": "string",
- "legitimateInterests": "string",
- "consequencesForNotProviding": "string",
- "receiverIntern": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}
}, - "responsibleReceiverIntern": {
- "example": "example"
}, - "receiverExternal": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "impactAssessmentNeeded": true,
- "impactAssessmentNeededText": "string",
- "extraSecurity": "string",
- "informedAffected": "string",
- "isProfiling": true,
- "profilingInformation": "string",
- "isOrderProcessing": true,
- "isJointControllership": true,
- "subcontractors": [
- {
- "subcontractorId": 0,
- "subcontractors": {
- "displayTitle": "string"
}, - "isOrderProcessor": true,
- "orderProcessorInfo": "string",
- "isJointController": true,
- "jointControllerInfo": "string"
}
], - "softwares": [
- {
- "softwareId": 0,
- "software": {
- "displayTitle": "string"
}
}
], - "devices": [
- {
- "deviceId": 0,
- "device": {
- "displayTitle": "string"
}
}
], - "additionalDeletions": [
- {
- "deletionDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletePeriod": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "retentionLegalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletionInformation": "string",
- "deletionControl": {
- "example": "example"
}, - "deletionType": {
- "example": "example"
}, - "deletionProtocol": {
- "example": "example"
}, - "responsibleDeletetionDeparment": {
- "example": "example"
}, - "deletionTOM": "string",
- "deletionSoftwareIds": [
- 0
], - "deletionId": 0
}
], - "indexId": 1,
- "group": "IT-Infrastruktur",
- "created": "2024-04-10T10:58:00+02:00",
- "lastChange": "2024-04-10T10:58:00+02:00"
}
], - "contracts": [
- {
- "contractId": 1,
- "isOrderProcessingContract": false
}
]
}removes index from client
| clientId required | integer <int64> >= 1 The ID of the client to return. |
| indexId required | integer <int64> >= 1 The ID of the index |
| companyId required | integer <int64> >= 1 The ID of the company |
{- "success": true
}creates new contract for client
| clientId required | integer <int64> >= 1 The ID of the client |
| companyId required | integer <int64> >= 1 The ID of the company |
| templateId required | integer |
| title required | string |
| validUntil required | string |
| isOrderProcessingContract | boolean Default: false Nach Abschluss wird Auftragsverarbeitungsvertrag abgeschlossen (Client -> orderProcessingContractSigned) automatisch auf Ja gesetzt. |
{- "templateId": 1,
- "title": "Auftragsverarbeitungsvertrag",
- "validUntil": "2021-03-13T12:26:40+01:00",
- "isOrderProcessingContract": true
}{- "name": "Kunde XYZ",
- "clientStatus": "Aktiv",
- "desc": "Beschreibung des Kundens",
- "country": "DE",
- "address": "Testraße 1337\n47608 Geldern\n",
- "email": "test@example.com",
- "reference": "C.05",
- "phone": 123456789,
- "fax": 123456789,
- "orderProcessingContractSigned": true,
- "clientId": 1,
- "lastChange": "2021-03-13T12:26:40+01:00",
- "created": "2021-03-13T12:26:40+01:00",
- "indexes": [
- {
- "deletionDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletePeriod": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "retentionLegalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletionInformation": "string",
- "deletionControl": {
- "example": "example"
}, - "deletionType": {
- "example": "example"
}, - "deletionProtocol": {
- "example": "example"
}, - "responsibleDeletetionDeparment": {
- "example": "example"
}, - "deletionTOM": "string",
- "deletionSoftwareIds": [
- 0
], - "name": "Web-Hosting",
- "desc": "Web-Hosting",
- "type": {
- "example": "example"
}, - "indexStatus": {
- "example": "example"
}, - "dataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "specialDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}
}, - "dataSubjects": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "source": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "goal": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "goalDesc": "Ausstellung einer schriftlichen Abmahnung zur Zurechtweisung der Mitarbeiter.",
- "systemDesc": "Abmahnung wird schriftlich in Word geschrieben und im Personalorder in Microsoft OneDrive abgespeichert.",
- "legalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "legalInfo": "string",
- "legitimateInterests": "string",
- "consequencesForNotProviding": "string",
- "receiverIntern": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}
}, - "responsibleReceiverIntern": {
- "example": "example"
}, - "receiverExternal": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "impactAssessmentNeeded": true,
- "impactAssessmentNeededText": "string",
- "extraSecurity": "string",
- "informedAffected": "string",
- "isProfiling": true,
- "profilingInformation": "string",
- "isOrderProcessing": true,
- "isJointControllership": true,
- "subcontractors": [
- {
- "subcontractorId": 0,
- "subcontractors": {
- "displayTitle": "string"
}, - "isOrderProcessor": true,
- "orderProcessorInfo": "string",
- "isJointController": true,
- "jointControllerInfo": "string"
}
], - "softwares": [
- {
- "softwareId": 0,
- "software": {
- "displayTitle": "string"
}
}
], - "devices": [
- {
- "deviceId": 0,
- "device": {
- "displayTitle": "string"
}
}
], - "additionalDeletions": [
- {
- "deletionDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletePeriod": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "retentionLegalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletionInformation": "string",
- "deletionControl": {
- "example": "example"
}, - "deletionType": {
- "example": "example"
}, - "deletionProtocol": {
- "example": "example"
}, - "responsibleDeletetionDeparment": {
- "example": "example"
}, - "deletionTOM": "string",
- "deletionSoftwareIds": [
- 0
], - "deletionId": 0
}
], - "indexId": 1,
- "group": "IT-Infrastruktur",
- "created": "2024-04-10T10:58:00+02:00",
- "lastChange": "2024-04-10T10:58:00+02:00"
}
], - "contracts": [
- {
- "contractId": 1,
- "isOrderProcessingContract": false
}
]
}get list of available companies for the current user
[- {
- "companyId": 1,
- "name": "ACME Company",
- "address": "Teststraße 1337\n47608 Geldern\n",
- "country": "DE",
- "organisationType": {
- "id": "o23",
- "name": "UG"
}, - "phone": 49123456,
- "fax": 49123456,
- "email": "test@test.de",
- "isConsultant": 1,
- "responsiblePersonName": "Peter Mustermann",
- "responsiblePersonFunktion": "CEO",
- "responsiblePersonPhone": 49123456,
- "responsiblePersonEmail": "test@test.de",
- "dprotectionOfficerCompany": "DP Company",
- "dprotectionOfficerName": "DP Officer Name",
- "dprotectionOfficerFunktion": "DP Officer",
- "dprotectionOfficerAddress": "Teststraße 1337\n47608 Geldern\n",
- "dprotectionOfficerPhone": "+49123456 47608 Geldern",
- "dprotectionOfficerEmail": "test@test.de",
- "users": [
- {
- "userId": 1,
- "samlIdent": "5242d2b4edfab",
- "username": "api@example.com",
- "level": "ADMIN",
- "levelId": 1
}
],
}
]get company object
| companyId required | integer <int64> >= 1 The ID of the company to return. |
{- "companyId": 1,
- "name": "ACME Company",
- "address": "Teststraße 1337\n47608 Geldern\n",
- "country": "DE",
- "organisationType": {
- "id": "o23",
- "name": "UG"
}, - "phone": 49123456,
- "fax": 49123456,
- "email": "test@test.de",
- "isConsultant": 1,
- "responsiblePersonName": "Peter Mustermann",
- "responsiblePersonFunktion": "CEO",
- "responsiblePersonPhone": 49123456,
- "responsiblePersonEmail": "test@test.de",
- "dprotectionOfficerCompany": "DP Company",
- "dprotectionOfficerName": "DP Officer Name",
- "dprotectionOfficerFunktion": "DP Officer",
- "dprotectionOfficerAddress": "Teststraße 1337\n47608 Geldern\n",
- "dprotectionOfficerPhone": "+49123456 47608 Geldern",
- "dprotectionOfficerEmail": "test@test.de",
- "users": [
- {
- "userId": 1,
- "samlIdent": "5242d2b4edfab",
- "username": "api@example.com",
- "level": "ADMIN",
- "levelId": 1
}
],
}update a company
| companyId required | integer <int64> >= 1 The ID of the company to return. |
| name required | string |
| address | string |
| country | string |
object (OrganisationTypeItem) | |
| phone | string |
| fax | string |
string | |
| imprintLink | string |
| isConsultant | integer company is a consulant and can use the /consultant edges |
| responsiblePersonName | string |
| responsiblePersonFunktion | string |
| responsiblePersonPhone | string |
| responsiblePersonEmail | string |
| dprotectionOfficerCompany | string |
| dprotectionOfficerName | string |
| dprotectionOfficerFunktion | string |
| dprotectionOfficerAddress | string |
| dprotectionOfficerPhone | string |
| dprotectionOfficerEmail | string |
{- "name": "ACME Company",
- "address": "Teststraße 1337\n47608 Geldern\n",
- "country": "DE",
- "organisationType": {
- "id": "o23",
- "name": "UG"
}, - "phone": 49123456,
- "fax": 49123456,
- "email": "test@test.de",
- "isConsultant": 1,
- "responsiblePersonName": "Peter Mustermann",
- "responsiblePersonFunktion": "CEO",
- "responsiblePersonPhone": 49123456,
- "responsiblePersonEmail": "test@test.de",
- "dprotectionOfficerCompany": "DP Company",
- "dprotectionOfficerName": "DP Officer Name",
- "dprotectionOfficerFunktion": "DP Officer",
- "dprotectionOfficerAddress": "Teststraße 1337\n47608 Geldern\n",
- "dprotectionOfficerPhone": "+49123456 47608 Geldern",
- "dprotectionOfficerEmail": "test@test.de"
}{- "companyId": 1,
- "name": "ACME Company",
- "address": "Teststraße 1337\n47608 Geldern\n",
- "country": "DE",
- "organisationType": {
- "id": "o23",
- "name": "UG"
}, - "phone": 49123456,
- "fax": 49123456,
- "email": "test@test.de",
- "isConsultant": 1,
- "responsiblePersonName": "Peter Mustermann",
- "responsiblePersonFunktion": "CEO",
- "responsiblePersonPhone": 49123456,
- "responsiblePersonEmail": "test@test.de",
- "dprotectionOfficerCompany": "DP Company",
- "dprotectionOfficerName": "DP Officer Name",
- "dprotectionOfficerFunktion": "DP Officer",
- "dprotectionOfficerAddress": "Teststraße 1337\n47608 Geldern\n",
- "dprotectionOfficerPhone": "+49123456 47608 Geldern",
- "dprotectionOfficerEmail": "test@test.de",
- "users": [
- {
- "userId": 1,
- "samlIdent": "5242d2b4edfab",
- "username": "api@example.com",
- "level": "ADMIN",
- "levelId": 1
}
],
}updates the specified properties of a company
| companyId required | integer <int64> >= 1 The ID of the company to return. |
| name | string |
| address | string |
| country | string |
object (OrganisationTypeItem) | |
| phone | string |
| fax | string |
string | |
| imprintLink | string |
| isConsultant | integer company is a consulant and can use the /consultant edges |
| responsiblePersonName | string |
| responsiblePersonFunktion | string |
| responsiblePersonPhone | string |
| responsiblePersonEmail | string |
| dprotectionOfficerCompany | string |
| dprotectionOfficerName | string |
| dprotectionOfficerFunktion | string |
| dprotectionOfficerAddress | string |
| dprotectionOfficerPhone | string |
| dprotectionOfficerEmail | string |
{- "name": "ACME Company",
- "address": "Teststraße 1337\n47608 Geldern\n",
- "country": "DE",
- "organisationType": {
- "id": "o23",
- "name": "UG"
}, - "phone": 49123456,
- "fax": 49123456,
- "email": "test@test.de",
- "isConsultant": 1,
- "responsiblePersonName": "Peter Mustermann",
- "responsiblePersonFunktion": "CEO",
- "responsiblePersonPhone": 49123456,
- "responsiblePersonEmail": "test@test.de",
- "dprotectionOfficerCompany": "DP Company",
- "dprotectionOfficerName": "DP Officer Name",
- "dprotectionOfficerFunktion": "DP Officer",
- "dprotectionOfficerAddress": "Teststraße 1337\n47608 Geldern\n",
- "dprotectionOfficerPhone": "+49123456 47608 Geldern",
- "dprotectionOfficerEmail": "test@test.de"
}{- "companyId": 1,
- "name": "ACME Company",
- "address": "Teststraße 1337\n47608 Geldern\n",
- "country": "DE",
- "organisationType": {
- "id": "o23",
- "name": "UG"
}, - "phone": 49123456,
- "fax": 49123456,
- "email": "test@test.de",
- "isConsultant": 1,
- "responsiblePersonName": "Peter Mustermann",
- "responsiblePersonFunktion": "CEO",
- "responsiblePersonPhone": 49123456,
- "responsiblePersonEmail": "test@test.de",
- "dprotectionOfficerCompany": "DP Company",
- "dprotectionOfficerName": "DP Officer Name",
- "dprotectionOfficerFunktion": "DP Officer",
- "dprotectionOfficerAddress": "Teststraße 1337\n47608 Geldern\n",
- "dprotectionOfficerPhone": "+49123456 47608 Geldern",
- "dprotectionOfficerEmail": "test@test.de",
- "users": [
- {
- "userId": 1,
- "samlIdent": "5242d2b4edfab",
- "username": "api@example.com",
- "level": "ADMIN",
- "levelId": 1
}
],
}adds a user to the company. Creates the user if it is new
| useSso | boolean |
| username required | string |
| level required | string |
| levelId | integer levelId of the CUSTOM level, optional, only for level = CUSTOM |
{- "useSso": true,
- "username": "api@example.com",
- "level": "ADMIN",
- "levelId": 1
}{- "companyId": 1,
- "name": "ACME Company",
- "address": "Teststraße 1337\n47608 Geldern\n",
- "country": "DE",
- "organisationType": {
- "id": "o23",
- "name": "UG"
}, - "phone": 49123456,
- "fax": 49123456,
- "email": "test@test.de",
- "isConsultant": 1,
- "responsiblePersonName": "Peter Mustermann",
- "responsiblePersonFunktion": "CEO",
- "responsiblePersonPhone": 49123456,
- "responsiblePersonEmail": "test@test.de",
- "dprotectionOfficerCompany": "DP Company",
- "dprotectionOfficerName": "DP Officer Name",
- "dprotectionOfficerFunktion": "DP Officer",
- "dprotectionOfficerAddress": "Teststraße 1337\n47608 Geldern\n",
- "dprotectionOfficerPhone": "+49123456 47608 Geldern",
- "dprotectionOfficerEmail": "test@test.de",
- "users": [
- {
- "userId": 1,
- "samlIdent": "5242d2b4edfab",
- "username": "api@example.com",
- "level": "ADMIN",
- "levelId": 1
}
],
}set external samlIdent for the company
| externalSamlIdent | string |
{- "externalSamlIdent": "5242d2b4edfab"
}{- "success": true
}get list of homepages for the company
| companyId required | integer <int64> >= 1 The ID of the company to return. |
[- {
- "homepageId": 1,
- "maxPages": 1,
- "lastChange": "2021-03-13T12:26:40+01:00",
- "crawljob": {
- "reportReceiver": "peter@mustermann.de",
- "reschedulePeriod": 1,
- "nextcrawl": "2021-03-13T12:26:40+01:00",
- "lastcrawl": "2021-03-13T12:26:40+01:00"
}
}
]creates new homepage
| companyId required | integer <int64> >= 1 The ID of the company to return. |
| hostname required | string |
{
}{- "homepageId": 1,
- "maxPages": 1,
- "lastChange": "2021-03-13T12:26:40+01:00",
- "crawljob": {
- "reportReceiver": "peter@mustermann.de",
- "reschedulePeriod": 1,
- "nextcrawl": "2021-03-13T12:26:40+01:00",
- "lastcrawl": "2021-03-13T12:26:40+01:00"
}
}get homepage for the given id
| homepageId required | integer <int64> >= 1 The ID of the homepage to return. |
| companyId required | integer <int64> >= 1 The ID of the company |
{- "homepageId": 1,
- "maxPages": 1,
- "lastChange": "2021-03-13T12:26:40+01:00",
- "crawljob": {
- "reportReceiver": "peter@mustermann.de",
- "reschedulePeriod": 1,
- "nextcrawl": "2021-03-13T12:26:40+01:00",
- "lastcrawl": "2021-03-13T12:26:40+01:00"
}
}updates the crawljob
| homepageId required | integer <int64> >= 1 The ID of the homepage to return. |
| companyId required | integer <int64> >= 1 The ID of the company |
| reportReceiver required | string |
| reschedulePeriod required | integer Interval at which the scan is repeated in months |
{- "reportReceiver": "peter@mustermann.de",
- "reschedulePeriod": 1
}{- "homepageId": 1,
- "maxPages": 1,
- "lastChange": "2021-03-13T12:26:40+01:00",
- "crawljob": {
- "reportReceiver": "peter@mustermann.de",
- "reschedulePeriod": 1,
- "nextcrawl": "2021-03-13T12:26:40+01:00",
- "lastcrawl": "2021-03-13T12:26:40+01:00"
}
}get list of index defaults
| companyId required | integer <int64> >= 1 The ID of the company to return. |
{- "property1": {
- "property1": {
- "text": "string",
- "subtext": "string"
}, - "property2": {
- "text": "string",
- "subtext": "string"
}
}, - "property2": {
- "property1": {
- "text": "string",
- "subtext": "string"
}, - "property2": {
- "text": "string",
- "subtext": "string"
}
}
}creates new default entry
| companyId required | integer <int64> >= 1 The ID of the company to return. |
| group required | string Enum: "dataCategories" "specialDataCategories" "deletePeriods" "retentionLegalBasis" "dataSubjects" "sources" "types" "indexStatus" "goals" "legalBasis" "receiverIntern" "responsibleReceiverIntern" "responsibleDeletetionDeparment" "deletionControl" "deletionType" "deletionProtocol" "receiverExternal" "impactAssessmentNeeded" |
| text required | string |
| subtext | string |
{- "group": "dataCategories",
- "text": "example",
- "subtext": "(ex, ample)"
}{- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}
}get list of indexes for the company
| companyId required | integer <int64> >= 1 The ID of the company to return. |
[- {
- "deletionDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletePeriod": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "retentionLegalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletionInformation": "string",
- "deletionControl": {
- "example": "example"
}, - "deletionType": {
- "example": "example"
}, - "deletionProtocol": {
- "example": "example"
}, - "responsibleDeletetionDeparment": {
- "example": "example"
}, - "deletionTOM": "string",
- "deletionSoftwareIds": [
- 0
], - "name": "Web-Hosting",
- "desc": "Web-Hosting",
- "type": {
- "example": "example"
}, - "indexStatus": {
- "example": "example"
}, - "dataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "specialDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}
}, - "dataSubjects": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "source": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "goal": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "goalDesc": "Ausstellung einer schriftlichen Abmahnung zur Zurechtweisung der Mitarbeiter.",
- "systemDesc": "Abmahnung wird schriftlich in Word geschrieben und im Personalorder in Microsoft OneDrive abgespeichert.",
- "legalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "legalInfo": "string",
- "legitimateInterests": "string",
- "consequencesForNotProviding": "string",
- "receiverIntern": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}
}, - "responsibleReceiverIntern": {
- "example": "example"
}, - "receiverExternal": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "impactAssessmentNeeded": true,
- "impactAssessmentNeededText": "string",
- "extraSecurity": "string",
- "informedAffected": "string",
- "isProfiling": true,
- "profilingInformation": "string",
- "isOrderProcessing": true,
- "isJointControllership": true,
- "subcontractors": [
- {
- "subcontractorId": 0,
- "subcontractors": {
- "displayTitle": "string"
}, - "isOrderProcessor": true,
- "orderProcessorInfo": "string",
- "isJointController": true,
- "jointControllerInfo": "string"
}
], - "softwares": [
- {
- "softwareId": 0,
- "software": {
- "displayTitle": "string"
}
}
], - "devices": [
- {
- "deviceId": 0,
- "device": {
- "displayTitle": "string"
}
}
], - "additionalDeletions": [
- {
- "deletionDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletePeriod": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "retentionLegalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletionInformation": "string",
- "deletionControl": {
- "example": "example"
}, - "deletionType": {
- "example": "example"
}, - "deletionProtocol": {
- "example": "example"
}, - "responsibleDeletetionDeparment": {
- "example": "example"
}, - "deletionTOM": "string",
- "deletionSoftwareIds": [
- 0
], - "deletionId": 0
}
], - "indexId": 1,
- "group": "IT-Infrastruktur",
- "created": "2024-04-10T10:58:00+02:00",
- "lastChange": "2024-04-10T10:58:00+02:00"
}
]creates new index
| companyId required | integer <int64> >= 1 The ID of the company to return. |
| name required | string |
{- "name": "Web-Hosting"
}{- "deletionDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletePeriod": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "retentionLegalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletionInformation": "string",
- "deletionControl": {
- "example": "example"
}, - "deletionType": {
- "example": "example"
}, - "deletionProtocol": {
- "example": "example"
}, - "responsibleDeletetionDeparment": {
- "example": "example"
}, - "deletionTOM": "string",
- "deletionSoftwareIds": [
- 0
], - "name": "Web-Hosting",
- "desc": "Web-Hosting",
- "type": {
- "example": "example"
}, - "indexStatus": {
- "example": "example"
}, - "dataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "specialDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}
}, - "dataSubjects": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "source": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "goal": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "goalDesc": "Ausstellung einer schriftlichen Abmahnung zur Zurechtweisung der Mitarbeiter.",
- "systemDesc": "Abmahnung wird schriftlich in Word geschrieben und im Personalorder in Microsoft OneDrive abgespeichert.",
- "legalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "legalInfo": "string",
- "legitimateInterests": "string",
- "consequencesForNotProviding": "string",
- "receiverIntern": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}
}, - "responsibleReceiverIntern": {
- "example": "example"
}, - "receiverExternal": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "impactAssessmentNeeded": true,
- "impactAssessmentNeededText": "string",
- "extraSecurity": "string",
- "informedAffected": "string",
- "isProfiling": true,
- "profilingInformation": "string",
- "isOrderProcessing": true,
- "isJointControllership": true,
- "subcontractors": [
- {
- "subcontractorId": 0,
- "subcontractors": {
- "displayTitle": "string"
}, - "isOrderProcessor": true,
- "orderProcessorInfo": "string",
- "isJointController": true,
- "jointControllerInfo": "string"
}
], - "softwares": [
- {
- "softwareId": 0,
- "software": {
- "displayTitle": "string"
}
}
], - "devices": [
- {
- "deviceId": 0,
- "device": {
- "displayTitle": "string"
}
}
], - "additionalDeletions": [
- {
- "deletionDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletePeriod": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "retentionLegalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletionInformation": "string",
- "deletionControl": {
- "example": "example"
}, - "deletionType": {
- "example": "example"
}, - "deletionProtocol": {
- "example": "example"
}, - "responsibleDeletetionDeparment": {
- "example": "example"
}, - "deletionTOM": "string",
- "deletionSoftwareIds": [
- 0
], - "deletionId": 0
}
], - "indexId": 1,
- "group": "IT-Infrastruktur",
- "created": "2024-04-10T10:58:00+02:00",
- "lastChange": "2024-04-10T10:58:00+02:00"
}get index for the given id
| indexId required | integer <int64> >= 1 The ID of the index to return. |
| companyId required | integer <int64> >= 1 The ID of the company |
{- "deletionDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletePeriod": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "retentionLegalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletionInformation": "string",
- "deletionControl": {
- "example": "example"
}, - "deletionType": {
- "example": "example"
}, - "deletionProtocol": {
- "example": "example"
}, - "responsibleDeletetionDeparment": {
- "example": "example"
}, - "deletionTOM": "string",
- "deletionSoftwareIds": [
- 0
], - "name": "Web-Hosting",
- "desc": "Web-Hosting",
- "type": {
- "example": "example"
}, - "indexStatus": {
- "example": "example"
}, - "dataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "specialDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}
}, - "dataSubjects": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "source": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "goal": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "goalDesc": "Ausstellung einer schriftlichen Abmahnung zur Zurechtweisung der Mitarbeiter.",
- "systemDesc": "Abmahnung wird schriftlich in Word geschrieben und im Personalorder in Microsoft OneDrive abgespeichert.",
- "legalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "legalInfo": "string",
- "legitimateInterests": "string",
- "consequencesForNotProviding": "string",
- "receiverIntern": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}
}, - "responsibleReceiverIntern": {
- "example": "example"
}, - "receiverExternal": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "impactAssessmentNeeded": true,
- "impactAssessmentNeededText": "string",
- "extraSecurity": "string",
- "informedAffected": "string",
- "isProfiling": true,
- "profilingInformation": "string",
- "isOrderProcessing": true,
- "isJointControllership": true,
- "subcontractors": [
- {
- "subcontractorId": 0,
- "subcontractors": {
- "displayTitle": "string"
}, - "isOrderProcessor": true,
- "orderProcessorInfo": "string",
- "isJointController": true,
- "jointControllerInfo": "string"
}
], - "softwares": [
- {
- "softwareId": 0,
- "software": {
- "displayTitle": "string"
}
}
], - "devices": [
- {
- "deviceId": 0,
- "device": {
- "displayTitle": "string"
}
}
], - "additionalDeletions": [
- {
- "deletionDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletePeriod": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "retentionLegalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletionInformation": "string",
- "deletionControl": {
- "example": "example"
}, - "deletionType": {
- "example": "example"
}, - "deletionProtocol": {
- "example": "example"
}, - "responsibleDeletetionDeparment": {
- "example": "example"
}, - "deletionTOM": "string",
- "deletionSoftwareIds": [
- 0
], - "deletionId": 0
}
], - "indexId": 1,
- "group": "IT-Infrastruktur",
- "created": "2024-04-10T10:58:00+02:00",
- "lastChange": "2024-04-10T10:58:00+02:00"
}updates index
| indexId required | integer <int64> >= 1 The ID of the index to return. |
| companyId required | integer <int64> >= 1 The ID of the company |
object (IndexSimpleDefaultsItemWithOther) Has to exist as default in the corresponding category. | |
object (IndexSimpleDefaultsItemWithOther) Has to exist as default in the corresponding category. | |
object (IndexSimpleDefaultsItemWithOther) Has to exist as default in the corresponding category. | |
| deletionInformation | string |
object (IndexSimpleDefaultsItemMaxOne) <= 1 properties Has to exist as default in the corresponding category. | |
object (IndexSimpleDefaultsItemMaxOne) <= 1 properties Has to exist as default in the corresponding category. | |
object (IndexSimpleDefaultsItemMaxOne) <= 1 properties Has to exist as default in the corresponding category. | |
object (IndexSimpleDefaultsItemMaxOne) <= 1 properties Has to exist as default in the corresponding category. | |
| deletionTOM | string |
| deletionSoftwareIds | Array of integers |
| name required | string |
| desc | string |
object (IndexSimpleDefaultsItemMaxOne) <= 1 properties Has to exist as default in the corresponding category. | |
object (IndexSimpleDefaultsItemMaxOne) <= 1 properties Has to exist as default in the corresponding category. | |
object (IndexSimpleDefaultsItemWithOther) Has to exist as default in the corresponding category. | |
object (IndexSimpleDefaultsItem) Has to exist as default in the corresponding category. | |
object (IndexSimpleDefaultsItemWithOther) Has to exist as default in the corresponding category. | |
object (IndexSimpleDefaultsItemWithOther) Has to exist as default in the corresponding category. | |
object (IndexSimpleDefaultsItemWithOther) Has to exist as default in the corresponding category. | |
| goalDesc | string |
| systemDesc | string |
object (IndexSimpleDefaultsItemWithOther) Has to exist as default in the corresponding category. | |
| legalInfo | string |
| legitimateInterests | string |
| consequencesForNotProviding | string |
object (IndexSimpleDefaultsItem) Has to exist as default in the corresponding category. | |
object (IndexSimpleDefaultsItemMaxOne) <= 1 properties Has to exist as default in the corresponding category. | |
object (IndexSimpleDefaultsItemWithOther) Has to exist as default in the corresponding category. | |
| impactAssessmentNeeded | boolean null if unknown |
| impactAssessmentNeededText | string |
| extraSecurity | string |
| informedAffected | string |
| isProfiling | boolean |
| profilingInformation | string |
| isOrderProcessing | boolean |
| isJointControllership | boolean |
Array of objects (IndexSubcontractorItem) | |
Array of objects | |
Array of objects | |
Array of objects |
{- "deletionDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletePeriod": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "retentionLegalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletionInformation": "string",
- "deletionControl": {
- "example": "example"
}, - "deletionType": {
- "example": "example"
}, - "deletionProtocol": {
- "example": "example"
}, - "responsibleDeletetionDeparment": {
- "example": "example"
}, - "deletionTOM": "string",
- "deletionSoftwareIds": [
- 0
], - "name": "Web-Hosting",
- "desc": "Web-Hosting",
- "type": {
- "example": "example"
}, - "indexStatus": {
- "example": "example"
}, - "dataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "specialDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}
}, - "dataSubjects": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "source": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "goal": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "goalDesc": "Ausstellung einer schriftlichen Abmahnung zur Zurechtweisung der Mitarbeiter.",
- "systemDesc": "Abmahnung wird schriftlich in Word geschrieben und im Personalorder in Microsoft OneDrive abgespeichert.",
- "legalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "legalInfo": "string",
- "legitimateInterests": "string",
- "consequencesForNotProviding": "string",
- "receiverIntern": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}
}, - "responsibleReceiverIntern": {
- "example": "example"
}, - "receiverExternal": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "impactAssessmentNeeded": true,
- "impactAssessmentNeededText": "string",
- "extraSecurity": "string",
- "informedAffected": "string",
- "isProfiling": true,
- "profilingInformation": "string",
- "isOrderProcessing": true,
- "isJointControllership": true,
- "subcontractors": [
- {
- "subcontractorId": 0,
- "subcontractors": {
- "displayTitle": "string"
}, - "isOrderProcessor": true,
- "orderProcessorInfo": "string",
- "isJointController": true,
- "jointControllerInfo": "string"
}
], - "softwares": [
- {
- "softwareId": 0,
- "software": {
- "displayTitle": "string"
}
}
], - "devices": [
- {
- "deviceId": 0,
- "device": {
- "displayTitle": "string"
}
}
], - "additionalDeletions": [
- {
- "deletionDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletePeriod": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "retentionLegalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletionInformation": "string",
- "deletionControl": {
- "example": "example"
}, - "deletionType": {
- "example": "example"
}, - "deletionProtocol": {
- "example": "example"
}, - "responsibleDeletetionDeparment": {
- "example": "example"
}, - "deletionTOM": "string",
- "deletionSoftwareIds": [
- 0
], - "deletionId": 0
}
]
}{- "deletionDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletePeriod": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "retentionLegalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletionInformation": "string",
- "deletionControl": {
- "example": "example"
}, - "deletionType": {
- "example": "example"
}, - "deletionProtocol": {
- "example": "example"
}, - "responsibleDeletetionDeparment": {
- "example": "example"
}, - "deletionTOM": "string",
- "deletionSoftwareIds": [
- 0
], - "name": "Web-Hosting",
- "desc": "Web-Hosting",
- "type": {
- "example": "example"
}, - "indexStatus": {
- "example": "example"
}, - "dataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "specialDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}
}, - "dataSubjects": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "source": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "goal": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "goalDesc": "Ausstellung einer schriftlichen Abmahnung zur Zurechtweisung der Mitarbeiter.",
- "systemDesc": "Abmahnung wird schriftlich in Word geschrieben und im Personalorder in Microsoft OneDrive abgespeichert.",
- "legalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "legalInfo": "string",
- "legitimateInterests": "string",
- "consequencesForNotProviding": "string",
- "receiverIntern": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}
}, - "responsibleReceiverIntern": {
- "example": "example"
}, - "receiverExternal": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "impactAssessmentNeeded": true,
- "impactAssessmentNeededText": "string",
- "extraSecurity": "string",
- "informedAffected": "string",
- "isProfiling": true,
- "profilingInformation": "string",
- "isOrderProcessing": true,
- "isJointControllership": true,
- "subcontractors": [
- {
- "subcontractorId": 0,
- "subcontractors": {
- "displayTitle": "string"
}, - "isOrderProcessor": true,
- "orderProcessorInfo": "string",
- "isJointController": true,
- "jointControllerInfo": "string"
}
], - "softwares": [
- {
- "softwareId": 0,
- "software": {
- "displayTitle": "string"
}
}
], - "devices": [
- {
- "deviceId": 0,
- "device": {
- "displayTitle": "string"
}
}
], - "additionalDeletions": [
- {
- "deletionDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletePeriod": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "retentionLegalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletionInformation": "string",
- "deletionControl": {
- "example": "example"
}, - "deletionType": {
- "example": "example"
}, - "deletionProtocol": {
- "example": "example"
}, - "responsibleDeletetionDeparment": {
- "example": "example"
}, - "deletionTOM": "string",
- "deletionSoftwareIds": [
- 0
], - "deletionId": 0
}
], - "indexId": 1,
- "group": "IT-Infrastruktur",
- "created": "2024-04-10T10:58:00+02:00",
- "lastChange": "2024-04-10T10:58:00+02:00"
}creates a new index that is a copy of an existing index
| companyId required | integer <int64> >= 1 The ID of the company for which you want to create a new index |
| indexId required | integer indexId of the index you want to copy |
{- "indexId": 9830
}{- "deletionDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletePeriod": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "retentionLegalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletionInformation": "string",
- "deletionControl": {
- "example": "example"
}, - "deletionType": {
- "example": "example"
}, - "deletionProtocol": {
- "example": "example"
}, - "responsibleDeletetionDeparment": {
- "example": "example"
}, - "deletionTOM": "string",
- "deletionSoftwareIds": [
- 0
], - "name": "Web-Hosting",
- "desc": "Web-Hosting",
- "type": {
- "example": "example"
}, - "indexStatus": {
- "example": "example"
}, - "dataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "specialDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}
}, - "dataSubjects": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "source": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "goal": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "goalDesc": "Ausstellung einer schriftlichen Abmahnung zur Zurechtweisung der Mitarbeiter.",
- "systemDesc": "Abmahnung wird schriftlich in Word geschrieben und im Personalorder in Microsoft OneDrive abgespeichert.",
- "legalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "legalInfo": "string",
- "legitimateInterests": "string",
- "consequencesForNotProviding": "string",
- "receiverIntern": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}
}, - "responsibleReceiverIntern": {
- "example": "example"
}, - "receiverExternal": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "impactAssessmentNeeded": true,
- "impactAssessmentNeededText": "string",
- "extraSecurity": "string",
- "informedAffected": "string",
- "isProfiling": true,
- "profilingInformation": "string",
- "isOrderProcessing": true,
- "isJointControllership": true,
- "subcontractors": [
- {
- "subcontractorId": 0,
- "subcontractors": {
- "displayTitle": "string"
}, - "isOrderProcessor": true,
- "orderProcessorInfo": "string",
- "isJointController": true,
- "jointControllerInfo": "string"
}
], - "softwares": [
- {
- "softwareId": 0,
- "software": {
- "displayTitle": "string"
}
}
], - "devices": [
- {
- "deviceId": 0,
- "device": {
- "displayTitle": "string"
}
}
], - "additionalDeletions": [
- {
- "deletionDataCategories": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletePeriod": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "retentionLegalBasis": {
- "example1": "example1",
- "example2": {
- "text": "example2",
- "subtext": "(ex, ample)"
}, - "other": "unique example"
}, - "deletionInformation": "string",
- "deletionControl": {
- "example": "example"
}, - "deletionType": {
- "example": "example"
}, - "deletionProtocol": {
- "example": "example"
}, - "responsibleDeletetionDeparment": {
- "example": "example"
}, - "deletionTOM": "string",
- "deletionSoftwareIds": [
- 0
], - "deletionId": 0
}
], - "indexId": 1,
- "group": "IT-Infrastruktur",
- "created": "2024-04-10T10:58:00+02:00",
- "lastChange": "2024-04-10T10:58:00+02:00"
}get list of inquiries for the company
| companyId required | integer <int64> >= 1 The ID of the company to return. |
[- {
- "inquiryId": 1,
- "inquiryIdent": "6231f57474f3a",
- "lastChange": "2021-03-13T12:26:40+01:00",
- "created": "2021-03-13T12:26:40+01:00",
- "status": "new",
- "name": "Peter Mustermann",
- "email": "peter@mustermann.de",
- "description": "information text",
- "incomingText": "information text",
- "identityValidated": true,
- "identityValidatedDescription": "information text",
- "affectedGroups": [
- {
- "key": "value"
}
], - "types": [
- {
- "key": "value"
}
], - "incomingDate": "2021-03-13T12:26:40+01:00",
- "closedDate": "2021-03-13T12:26:40+01:00"
}
]creates new inquiry
| companyId required | integer <int64> >= 1 The ID of the company to return. |
| status | string must be definied in the system, can be found in GET /inquiry/defaults |
| name | string |
string musst be valid email | |
| description | string |
| incomingText | string |
| identityValidated | boolean |
| identityValidatedDescription | string |
Array of objects (DefaultsItem) must be definied in the system, can be found in GET /inquiry/defaults | |
Array of objects (DefaultsItem) must be definied in the system, can be found in GET /inquiry/defaults | |
| incomingDate | string |
| closedDate | string |
{- "status": "new",
- "name": "Peter Mustermann",
- "email": "peter@mustermann.de",
- "description": "information text",
- "incomingText": "information text",
- "identityValidated": true,
- "identityValidatedDescription": "information text",
- "affectedGroups": [
- {
- "key": "value"
}
], - "types": [
- {
- "key": "value"
}
], - "incomingDate": "2021-03-13T12:26:40+01:00",
- "closedDate": "2021-03-13T12:26:40+01:00"
}{- "inquiryId": 1,
- "inquiryIdent": "6231f57474f3a",
- "lastChange": "2021-03-13T12:26:40+01:00",
- "created": "2021-03-13T12:26:40+01:00",
- "status": "new",
- "name": "Peter Mustermann",
- "email": "peter@mustermann.de",
- "description": "information text",
- "incomingText": "information text",
- "identityValidated": true,
- "identityValidatedDescription": "information text",
- "affectedGroups": [
- {
- "key": "value"
}
], - "types": [
- {
- "key": "value"
}
], - "incomingDate": "2021-03-13T12:26:40+01:00",
- "closedDate": "2021-03-13T12:26:40+01:00"
}get list of inquiry defaults for types, status and affectedGroups
| companyId required | integer <int64> >= 1 The ID of the company to return. |
{- "types": [
- {
- "key": "value"
}
], - "status": [
- {
- "key": "value"
}
], - "affectedGroups": [
- {
- "key": "value"
}
]
}get inquiry for the given id
| inquiryId required | integer <int64> >= 1 The ID of the inquiry to return. |
| companyId required | integer <int64> >= 1 The ID of the company |
{- "inquiryId": 1,
- "inquiryIdent": "6231f57474f3a",
- "lastChange": "2021-03-13T12:26:40+01:00",
- "created": "2021-03-13T12:26:40+01:00",
- "status": "new",
- "name": "Peter Mustermann",
- "email": "peter@mustermann.de",
- "description": "information text",
- "incomingText": "information text",
- "identityValidated": true,
- "identityValidatedDescription": "information text",
- "affectedGroups": [
- {
- "key": "value"
}
], - "types": [
- {
- "key": "value"
}
], - "incomingDate": "2021-03-13T12:26:40+01:00",
- "closedDate": "2021-03-13T12:26:40+01:00"
}updates inquiry
| inquiryId required | integer <int64> >= 1 The ID of the inquiry to return. |
| companyId required | integer <int64> >= 1 The ID of the company |
| status | string must be definied in the system, can be found in GET /inquiry/defaults |
| name | string |
string musst be valid email | |
| description | string |
| incomingText | string |
| identityValidated | boolean |
| identityValidatedDescription | string |
Array of objects (DefaultsItem) must be definied in the system, can be found in GET /inquiry/defaults | |
Array of objects (DefaultsItem) must be definied in the system, can be found in GET /inquiry/defaults | |
| incomingDate | string |
| closedDate | string |
{- "status": "new",
- "name": "Peter Mustermann",
- "email": "peter@mustermann.de",
- "description": "information text",
- "incomingText": "information text",
- "identityValidated": true,
- "identityValidatedDescription": "information text",
- "affectedGroups": [
- {
- "key": "value"
}
], - "types": [
- {
- "key": "value"
}
], - "incomingDate": "2021-03-13T12:26:40+01:00",
- "closedDate": "2021-03-13T12:26:40+01:00"
}{- "inquiryId": 1,
- "inquiryIdent": "6231f57474f3a",
- "lastChange": "2021-03-13T12:26:40+01:00",
- "created": "2021-03-13T12:26:40+01:00",
- "status": "new",
- "name": "Peter Mustermann",
- "email": "peter@mustermann.de",
- "description": "information text",
- "incomingText": "information text",
- "identityValidated": true,
- "identityValidatedDescription": "information text",
- "affectedGroups": [
- {
- "key": "value"
}
], - "types": [
- {
- "key": "value"
}
], - "incomingDate": "2021-03-13T12:26:40+01:00",
- "closedDate": "2021-03-13T12:26:40+01:00"
}get list of subcontractores for the company
| companyId required | integer <int64> >= 1 The ID of the company to return. |
[- {
- "subcontractorId": 1,
- "lastChange": "2021-03-13T12:26:40+01:00",
- "created": "2021-03-13T12:26:40+01:00",
- "reference": "A.01",
- "name": "Muster GmbH",
- "desc": "purpose",
- "description": "internal description",
- "subcontractorStatus": "Aktiv",
- "address": "Teststraße 1337\n47608 Geldern\n",
- "country": "DE",
- "status": "Explanation of Legality",
- "contractBasis": "basis of the contract",
- "email": "test@test.de",
- "phone": 49123456,
- "fax": 49123456,
- "isProcessor": false,
- "isJointController": false,
- "hasDPA": false,
- "hasJCA": false,
- "dpaInformation": "information text",
- "dpaVerifiedDate": "2024-04-23T13:57:06+02:00",
- "dpaVerifiedName": "Muster GmbH",
- "dpaApprovedDate": "2024-04-23T13:57:06+02:00",
- "dpaApprovedName": "Muster GmbH",
- "jcaInformation": "information text",
- "jcaVerifiedDate": "2024-04-23T13:57:06+02:00",
- "jcaVerifiedName": "Muster GmbH",
- "jcaApprovedDate": "2024-04-23T13:57:06+02:00",
- "jcaApprovedName": "Muster GmbH"
}
]creates new subcontractor
| companyId required | integer <int64> >= 1 The ID of the company to return. |
| reference | string |
| name required | string |
| desc | string |
| description | string |
| subcontractorStatus | string must be defined in the system, can be found in GET /subcontractor/defaults |
| address | string |
| country | string must be defined in the system, can be found in GET /countries |
| status | string |
| contractBasis | string |
string musst be valid email | |
| homepage | string |
| phone | string |
| fax | string |
| isProcessor | boolean |
| isJointController | boolean |
| hasDPA | boolean |
| hasJCA | boolean |
| dpaInformation | string |
| dpaVerifiedDate | string |
| dpaVerifiedName | string |
| dpaApprovedDate | string |
| dpaApprovedName | string |
| jcaInformation | string |
| jcaVerifiedDate | string |
| jcaVerifiedName | string |
| jcaApprovedDate | string |
| jcaApprovedName | string |
{- "reference": "A.01",
- "name": "Muster GmbH",
- "desc": "purpose",
- "description": "internal description",
- "subcontractorStatus": "Aktiv",
- "address": "Teststraße 1337\n47608 Geldern\n",
- "country": "DE",
- "status": "Explanation of Legality",
- "contractBasis": "basis of the contract",
- "email": "test@test.de",
- "phone": 49123456,
- "fax": 49123456,
- "isProcessor": false,
- "isJointController": false,
- "hasDPA": false,
- "hasJCA": false,
- "dpaInformation": "information text",
- "dpaVerifiedDate": "2024-04-23T13:57:06+02:00",
- "dpaVerifiedName": "Muster GmbH",
- "dpaApprovedDate": "2024-04-23T13:57:06+02:00",
- "dpaApprovedName": "Muster GmbH",
- "jcaInformation": "information text",
- "jcaVerifiedDate": "2024-04-23T13:57:06+02:00",
- "jcaVerifiedName": "Muster GmbH",
- "jcaApprovedDate": "2024-04-23T13:57:06+02:00",
- "jcaApprovedName": "Muster GmbH"
}{- "subcontractorId": 1,
- "lastChange": "2021-03-13T12:26:40+01:00",
- "created": "2021-03-13T12:26:40+01:00",
- "reference": "A.01",
- "name": "Muster GmbH",
- "desc": "purpose",
- "description": "internal description",
- "subcontractorStatus": "Aktiv",
- "address": "Teststraße 1337\n47608 Geldern\n",
- "country": "DE",
- "status": "Explanation of Legality",
- "contractBasis": "basis of the contract",
- "email": "test@test.de",
- "phone": 49123456,
- "fax": 49123456,
- "isProcessor": false,
- "isJointController": false,
- "hasDPA": false,
- "hasJCA": false,
- "dpaInformation": "information text",
- "dpaVerifiedDate": "2024-04-23T13:57:06+02:00",
- "dpaVerifiedName": "Muster GmbH",
- "dpaApprovedDate": "2024-04-23T13:57:06+02:00",
- "dpaApprovedName": "Muster GmbH",
- "jcaInformation": "information text",
- "jcaVerifiedDate": "2024-04-23T13:57:06+02:00",
- "jcaVerifiedName": "Muster GmbH",
- "jcaApprovedDate": "2024-04-23T13:57:06+02:00",
- "jcaApprovedName": "Muster GmbH"
}get list of subcontractor defaults for subcontractorStatus
| companyId required | integer <int64> >= 1 The ID of the company to return. |
{- "subcontractorStatus": [
- {
- "key": "value"
}
]
}get subcontractor for the given id
| subcontractorId required | integer <int64> >= 1 The ID of the subcontractor to return. |
| companyId required | integer <int64> >= 1 The ID of the company |
{- "subcontractorId": 1,
- "lastChange": "2021-03-13T12:26:40+01:00",
- "created": "2021-03-13T12:26:40+01:00",
- "reference": "A.01",
- "name": "Muster GmbH",
- "desc": "purpose",
- "description": "internal description",
- "subcontractorStatus": "Aktiv",
- "address": "Teststraße 1337\n47608 Geldern\n",
- "country": "DE",
- "status": "Explanation of Legality",
- "contractBasis": "basis of the contract",
- "email": "test@test.de",
- "phone": 49123456,
- "fax": 49123456,
- "isProcessor": false,
- "isJointController": false,
- "hasDPA": false,
- "hasJCA": false,
- "dpaInformation": "information text",
- "dpaVerifiedDate": "2024-04-23T13:57:06+02:00",
- "dpaVerifiedName": "Muster GmbH",
- "dpaApprovedDate": "2024-04-23T13:57:06+02:00",
- "dpaApprovedName": "Muster GmbH",
- "jcaInformation": "information text",
- "jcaVerifiedDate": "2024-04-23T13:57:06+02:00",
- "jcaVerifiedName": "Muster GmbH",
- "jcaApprovedDate": "2024-04-23T13:57:06+02:00",
- "jcaApprovedName": "Muster GmbH"
}updates subcontractor
| subcontractorId required | integer <int64> >= 1 The ID of the subcontractor to return. |
| companyId required | integer <int64> >= 1 The ID of the company |
| reference | string |
| name required | string |
| desc | string |
| description | string |
| subcontractorStatus | string must be defined in the system, can be found in GET /subcontractor/defaults |
| address | string |
| country | string must be defined in the system, can be found in GET /countries |
| status | string |
| contractBasis | string |
string musst be valid email | |
| homepage | string |
| phone | string |
| fax | string |
| isProcessor | boolean |
| isJointController | boolean |
| hasDPA | boolean |
| hasJCA | boolean |
| dpaInformation | string |
| dpaVerifiedDate | string |
| dpaVerifiedName | string |
| dpaApprovedDate | string |
| dpaApprovedName | string |
| jcaInformation | string |
| jcaVerifiedDate | string |
| jcaVerifiedName | string |
| jcaApprovedDate | string |
| jcaApprovedName | string |
{- "reference": "A.01",
- "name": "Muster GmbH",
- "desc": "purpose",
- "description": "internal description",
- "subcontractorStatus": "Aktiv",
- "address": "Teststraße 1337\n47608 Geldern\n",
- "country": "DE",
- "status": "Explanation of Legality",
- "contractBasis": "basis of the contract",
- "email": "test@test.de",
- "phone": 49123456,
- "fax": 49123456,
- "isProcessor": false,
- "isJointController": false,
- "hasDPA": false,
- "hasJCA": false,
- "dpaInformation": "information text",
- "dpaVerifiedDate": "2024-04-23T13:57:06+02:00",
- "dpaVerifiedName": "Muster GmbH",
- "dpaApprovedDate": "2024-04-23T13:57:06+02:00",
- "dpaApprovedName": "Muster GmbH",
- "jcaInformation": "information text",
- "jcaVerifiedDate": "2024-04-23T13:57:06+02:00",
- "jcaVerifiedName": "Muster GmbH",
- "jcaApprovedDate": "2024-04-23T13:57:06+02:00",
- "jcaApprovedName": "Muster GmbH"
}{- "subcontractorId": 1,
- "lastChange": "2021-03-13T12:26:40+01:00",
- "created": "2021-03-13T12:26:40+01:00",
- "reference": "A.01",
- "name": "Muster GmbH",
- "desc": "purpose",
- "description": "internal description",
- "subcontractorStatus": "Aktiv",
- "address": "Teststraße 1337\n47608 Geldern\n",
- "country": "DE",
- "status": "Explanation of Legality",
- "contractBasis": "basis of the contract",
- "email": "test@test.de",
- "phone": 49123456,
- "fax": 49123456,
- "isProcessor": false,
- "isJointController": false,
- "hasDPA": false,
- "hasJCA": false,
- "dpaInformation": "information text",
- "dpaVerifiedDate": "2024-04-23T13:57:06+02:00",
- "dpaVerifiedName": "Muster GmbH",
- "dpaApprovedDate": "2024-04-23T13:57:06+02:00",
- "dpaApprovedName": "Muster GmbH",
- "jcaInformation": "information text",
- "jcaVerifiedDate": "2024-04-23T13:57:06+02:00",
- "jcaVerifiedName": "Muster GmbH",
- "jcaApprovedDate": "2024-04-23T13:57:06+02:00",
- "jcaApprovedName": "Muster GmbH"
}deletes subcontractor
| subcontractorId required | integer <int64> >= 1 The ID of the subcontractor to return. |
| companyId required | integer <int64> >= 1 The ID of the company |
{- "success": true
}creates a new subcontractor that is a copy of an existing subcontractor
| companyId required | integer <int64> >= 1 The ID of the company for which you want to create a new subcontractor |
| subcontractorId required | integer subcontractorId of the subcontractor you want to copy |
{- "subcontractorId": 9830
}{- "subcontractorId": 1,
- "lastChange": "2021-03-13T12:26:40+01:00",
- "created": "2021-03-13T12:26:40+01:00",
- "reference": "A.01",
- "name": "Muster GmbH",
- "desc": "purpose",
- "description": "internal description",
- "subcontractorStatus": "Aktiv",
- "address": "Teststraße 1337\n47608 Geldern\n",
- "country": "DE",
- "status": "Explanation of Legality",
- "contractBasis": "basis of the contract",
- "email": "test@test.de",
- "phone": 49123456,
- "fax": 49123456,
- "isProcessor": false,
- "isJointController": false,
- "hasDPA": false,
- "hasJCA": false,
- "dpaInformation": "information text",
- "dpaVerifiedDate": "2024-04-23T13:57:06+02:00",
- "dpaVerifiedName": "Muster GmbH",
- "dpaApprovedDate": "2024-04-23T13:57:06+02:00",
- "dpaApprovedName": "Muster GmbH",
- "jcaInformation": "information text",
- "jcaVerifiedDate": "2024-04-23T13:57:06+02:00",
- "jcaVerifiedName": "Muster GmbH",
- "jcaApprovedDate": "2024-04-23T13:57:06+02:00",
- "jcaApprovedName": "Muster GmbH"
}get list of softwares for the company
| companyId required | integer <int64> >= 1 The ID of the company to return. |
[- {
- "softwareId": 1,
- "lastChange": "2021-03-13T12:26:40+01:00",
- "created": "2021-03-13T12:26:40+01:00",
- "reference": "A15",
- "name": "Muster GmbH",
- "desc": "purpose",
- "status": "Aktiv",
- "type": "On-Premises",
- "country": "DE",
- "homepage": "example.com",
- "aiSystem": 1,
- "aiSystemDesc": "LLM basierte Übersetzung"
}
]creates new software
| companyId required | integer <int64> >= 1 The ID of the company to return. |
[...]
